Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.info
Class ContainerPreferencesInfo

    java.lang.Object
      org.jboss.portal.portlet.impl.info.ContainerPreferencesInfo

All Implemented Interfaces:
  PreferencesInfo

    public class ContainerPreferencesInfo

extends java.lang.Object
implements PreferencesInfo

Version:
  $Revision: 6818 $
Author:
  Julien Viet, Chris Laprun

Constructor Summary
`ContainerPreferencesInfo(java.lang.String validatorClassName)`

Method Summary
`void` | `addContainerPreference(java.lang.String name, java.util.List<java.lang.String> value, boolean readOnly, org.jboss.portal.common.i18n.LocalizedString displayName, org.jboss.portal.common.i18n.LocalizedString description)`
`ContainerPreferenceInfo` | `getContainerPreference(java.lang.String key)`
`java.util.Set<java.lang.String>` | `getKeys()` Return the immutable set of keys.
`PreferenceInfo` | `getPreference(java.lang.String key)` A preference specified by its key.
`java.lang.String` | `getValidatorClassName()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContainerPreferencesInfo

    public ContainerPreferencesInfo(java.lang.String validatorClassName)

Method Detail

### getValidatorClassName

    public java.lang.String getValidatorClassName()

### getContainerPreference

    public ContainerPreferenceInfo getContainerPreference(java.lang.String key)

### addContainerPreference

    public void addContainerPreference(java.lang.String name,
                                       java.util.List<java.lang.String> value,
                                       boolean readOnly,
                                       org.jboss.portal.common.i18n.LocalizedString displayName,
                                       org.jboss.portal.common.i18n.LocalizedString description)

### getKeys

    public java.util.Set<java.lang.String> getKeys()

  Description copied from interface: `PreferencesInfo`
  Return the immutable set of keys.

  Specified by:
    `getKeys` in interface `PreferencesInfo`
  Returns:
    the keys

### getPreference

    public PreferenceInfo getPreference(java.lang.String key)

  Description copied from interface: `PreferencesInfo`
  A preference specified by its key.

  Specified by:
    `getPreference` in interface `PreferencesInfo`
  Parameters:
    `key` - the key
  Returns:
    the preference info or null if it does not exist

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.